Core - Bug # 54425
Is Regression: No

Sprint Focus:

Subiject: TYPO3\CMS\Frontend\ContentObject\ContentObject not found

Description

After latest commit: https://github.com/TYPOS3/TYPO3.CMS/commit/6eb7a548125a945316f8ad32eb3e5481a28ae2d6 fontend is

broken. | have the following error message:

PHP Fatal error: Class 'TYPO3WCMS\\Frontend\\ContentObject\\ContentObject' not found in

/web/typo3_src/typo3/sysext/core/Classes/Utility/GeneralUtility.php on line 4171, referer: http://domain.com/

Related issues:

related to Core - Bug # 53682: Exception '$toolbarltem "shortcuts" must imple... Resolved

Associated revisions

Revision 942366bc - 2013-12-16 15:42 - Helmut Hummel

[BUGFIX] Fix side effect for new class instantiation

With commit 6eb7a54 performance optimized class
instantiation code has been committed. This code
removed the side effect of a reflection exception
being thrown when a not existing class is instantiated.

Code in ContentObjectRenderer relied on this side
effect, so we have to fix that and properly test

if the class exists instead.

Additionally this change adds some more comments
to the new instantiation code that has been forgotten

in the last commit.

Resolves: #54425

Releases: 6.2
History

#1 - 2013-12-15 11:42 - Markus Klein

That class does not exist. Did you copy the complete error message? What is the complete stack trace?

#2 - 2013-12-15 13:02 - Marcin Sagol

Hi Markus,

i just cut off some long paths from this message, they are not important here:

[Sun Dec 15 12:57:00 2013] [warn] [client 127.0.0.1] mod_fcgid: stderr: PHP Fatal error: Class
"TYPO3\CMS\\Frontend\\ContentObject\\ContentObject' not found in
/var/www/clients/client1/web8/web/typo3_src/typo3/sysext/core/Classes/Utility/GeneralUtility.php on line 4171, referer: http://domain.com
The sam error message shows up if i open frontpage or any other.

If i apply this commit i have only blank white page on frontend, and this one entry in server error.log

If if remove this last commit (git reset --hard HEAD*1) T3 works just fine.

#3 - 2013-12-15 18:40 - Tobias Liegl

| get the same error message with latest master - but only on pages with an image element. And only if the image orientation is not the standard
centered one.

#4 - 2013-12-15 20:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26440

#5 - 2013-12-15 21:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26440

#6 - 2013-12-16 16:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:942366bc31bf3ee945573d42fde337bcb3a928ee.
